function result = fuzzy_contrast(img, dt, gt, bt, vd, vg, vb)
    img = double(img);
    
    % inicializace matice příslušnosti
    mu_dark = zeros(size(img));
    mu_gray = zeros(size(img));
    mu_bright = zeros(size(img));
    
    % mu_dark
    
    % mu_gray
    
    % mu_bright
    
    % defuzzifikace
    
    % výsledek
    result = uint8(result);
end

